Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.util.collections.shorts
Class AbstractShortInterval.ConstrainedView

    java.lang.Object
      edu.emory.mathcs.util.collections.shorts.AbstractShortCollection
          edu.emory.mathcs.util.collections.shorts.AbstractShortSet
              edu.emory.mathcs.util.collections.shorts.AbstractShortSortedSet
                  edu.emory.mathcs.util.collections.shorts.AbstractShortInterval
                      edu.emory.mathcs.util.collections.shorts.AbstractShortInterval.ConstrainedView

All Implemented Interfaces:
  ShortCollection, ShortInterval, ShortSet, ShortSortedSet

Enclosing class:
  AbstractShortInterval

protected static class AbstractShortInterval.ConstrainedView
extends AbstractShortInterval

Nested Class Summary

Nested classes inherited from class edu.emory.mathcs.util.collections.shorts.AbstractShortInterval
`AbstractShortInterval.ComplementView, AbstractShortInterval.ConstrainedView, AbstractShortInterval.SimpleIntervalItemIterator, AbstractShortInterval.SimpleReverseIntervalItemIterator`

Nested classes inherited from class edu.emory.mathcs.util.collections.shorts.AbstractShortSortedSet
`AbstractShortSortedSet.AbstractComplementSubView, AbstractShortSortedSet.AbstractSubView, AbstractShortSortedSet.ForwardIntervalItemIterator, AbstractShortSortedSet.ReverseIntervalItemIterator`

Method Summary
`ShortSet` | `complementSet()` Returns a complement view of this set.
`protected short` | `getFirst()`
`protected short` | `getLast()`
`short` | `max()` The largest number that can be stored in this set.
`short` | `min()` The smallest number that can be stored in this set.
`ShortSortedSet` | `subSet(short first, short last)` A subset view containing all elements from this set between first, inclusive, and last, inclusive.

Methods inherited from class edu.emory.mathcs.util.collections.shorts.AbstractShortInterval
`addInterval, ceiling, ceilingInterval, clear, contains, containsInterval, descendingIntervalIterator, descendingIterator, enclosingInterval, first, firstInterval, floor, floorInterval, higher, higherInterval, intervalCount, intervalIterator, isEmpty, iterator, last, lastInterval, lower, lowerInterval, pollFirst, pollFirstInterval, pollLast, pollLastInterval, removeInterval, retainInterval, size, toString`

Methods inherited from class edu.emory.mathcs.util.collections.shorts.AbstractShortSortedSet
`headSet, retainAll, tailSet, toCompactString`

Methods inherited from class edu.emory.mathcs.util.collections.shorts.AbstractShortSet
`addAll, equals, hashCode, removeAll`

Methods inherited from class edu.emory.mathcs.util.collections.shorts.AbstractShortCollection
`add, containsAll, remove, toArray, toArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.emory.mathcs.util.collections.shorts.ShortSortedSet
`headSet, tailSet, toCompactString`

Methods inherited from interface edu.emory.mathcs.util.collections.shorts.ShortSet
`add, addAll, containsAll, equals, hashCode, remove, removeAll, retainAll, toArray, toArray`

Method Detail

### getFirst

    protected short getFirst()

  Specified by:
    `getFirst` in class `AbstractShortInterval`

### getLast

    protected short getLast()

  Specified by:
    `getLast` in class `AbstractShortInterval`

### min

    public short min()

  Description copied from interface: `ShortSet`
  The smallest number that can be stored in this set.

  Specified by:
    `min` in interface `ShortSet`
  Overrides:
    `min` in class `AbstractShortInterval`

### max

    public short max()

  Description copied from interface: `ShortSet`
  The largest number that can be stored in this set.

  Specified by:
    `max` in interface `ShortSet`
  Overrides:
    `max` in class `AbstractShortInterval`

### subSet

    public ShortSortedSet subSet(short first,
                                 short last)

  Description copied from interface: `ShortSortedSet`
  A subset view containing all elements from this set between first, inclusive, and last, inclusive. More precisely, the view is narrowed to the domain [min, max]. Hence, complement set of this set will NOT include any elements outside [min, max].

  Specified by:
    `subSet` in interface `ShortSortedSet`
  Overrides:
    `subSet` in class `AbstractShortInterval`

### complementSet

    public ShortSet complementSet()

  Description copied from interface: `ShortSet`
  Returns a complement view of this set. Complement view is a set that has the same domain as this set, and consists of all numbers from the domain that are not contained in this set. Changes done to this set are reflected in the complement view after it is created.

  Specified by:
    `complementSet` in interface `ShortSet`
  Overrides:
    `complementSet` in class `AbstractShortInterval`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD